OPENSEACHEST_ZBD(1)

NAME
openSeaChest_ZBD - manual page for openSeaChest_ZBD ==========================================================================================

DESCRIPTION
==========================================================================================

    openSeaChest_ZBD - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2024 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_ZBD Version: 2.3.0-8_0_1 X86_64 Build Date: Sep 19 2024 Today: 20240925T133707 User: current user

========================================================================================== Usage =====

    openSeaChest_ZBD [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_ZBD --scan openSeaChest_ZBD -d /dev/sg<#> -i openSeaChest_ZBD -d /dev/sg<#> --SATInfo openSeaChest_ZBD -d /dev/sg<#> --reportZones all openSeaChest_ZBD -d /dev/sg<#> --reportZones empty --maxZones 256 openSeaChest_ZBD -d /dev/sg<#> --openZone --zoneID 16 openSeaChest_ZBD -d /dev/sg<#> --finishZone --zoneID 16 openSeaChest_ZBD -d /dev/sg<#> --closeZone --zoneID 16 openSeaChest_ZBD -d /dev/sg<#> --resetWritePointer --zoneID 16 openSeaChest_ZBD -d /dev/sg<#> --resetWritePointer --zoneID all

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--csmiIgnorePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiUsePort (Obsolete)

    This option is obsolete and will be removed in future versions.

--csmiVerbose (Obsolete)

    This option is obsolete and will be removed in future versions.

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_ZBD in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_ZBD version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> CSMI device handles can be specified as <error<#><#><#>> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping ignoreCSMI - do not scan for any CSMI devices allowDuplicates - allow drives with both CSMI and PD handles

    to show up multiple times in the list

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--closeZone

    Use this option to close a zone specified with the --zoneID option

--finishZone

    Use this option to finish a zone specified with the --zoneID option

--maxZones [count]

    Use this option to set a maximum number of zones to display with the --reportZones option.

--openZone

    Use this option to open a zone specified with the --zoneID option

--reportZones [all | empty | implicitOpen | explicitOpen | closed |

    full | readOnly | offline | resetRecommended | nonSeqResourceAvailable | allNonWP]

    Use this option to display the zones of a specific type, where they start, the length of the zones, and where the write pointer is at. Combine this option with --zoneID and --maxZones To show a different list/subset of the zones on the drive. Ex: --reportZones empty --zoneID 123456 --maxZones 30 *all - show all zones *empty - show only empty zones *implicitOpen - show only implicitly opened zones *explicitOpen - show only explicitly opened zones *closed - show only closed zones *full - show only full zones *readOnly - show only read only zones *offline - show only offline zones *resetRecommended - show only zones that have the reset recommended bit set *nonSeqResourceAvailable - show only zones with a non sequential access resource available *allNonWP - show all non-write pointer zones.

--resetWritePointer

    Use this option to reset a write pointer at the zone specified with the --zoneID option

--zoneID [LBA/zone ID | all]

    Use this option to specify a zone ID for use with other options such as --reportZones, --closeZone, --finishZone, --openZone, --resetWritePointer. A zone ID is an LBA at the start of a specified zone. Use "all" with the options listed above to apply an action to all zones on the device.

    openSeaChest_ZBD - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2024 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_ZBD Version: 2.3.0-8_0_1 X86_64 Build Date: Sep 19 2024 Today: 20240925T133707 User: current user

========================================================================================== Version Info for openSeaChest_ZBD:

    Utility Version: 2.3.0 opensea-common Version: 4.1.0 opensea-transport Version: 8.0.1 opensea-operations Version: 8.0.2 Build Date: Sep 19 2024 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 11.4.0 Operating System Type: Linux Operating System Version: 5.15.153-1 Operating System Name: Ubuntu 22.04.4 LTS

SEE ALSO
The full documentation for openSeaChest_ZBD is maintained as a Texinfo manual. If the info and openSeaChest_ZBD programs are properly installed at your site, the command

    info openSeaChest_ZBD

should give you access to the complete manual.